AGWHOST(9)              XR32 REFERENCE MANUAL                 4/2/2013

NAME
        AGWHOST -- AGW Application Support.

DESCRIPTION
        XR32 provides an AGW TCP host mode interface, allowing apps
        such as UI-View, which would normally use AGW Packet Engine,
        (AGWPE) to use XR32 instead. 

        You should not confuse this with XR32's AGW *interface*,
        which allows XR32 to interface with "real" AGWPE. The
        following diagram attempts to explain the difference:


                  UI-View etc         <-- Application expecting AGW
             .--------------------.
             | (AGWHOST Emulator) |   <-- App interacts with this
             |                    |
             |       XR32         |
             |                    |
             |  (AGW interface)   |   <-- Interacts with AGWPE
             |--------------------|
             |  AGW Packet Engine |
             '--------------------'
                Soundcards etc.       <-- Hardware supported by AGW


        There are two ways for an application to interact with AGW
        Packet Engine, one of which is TCP host mode, which normally
        uses TCP port 8000. This is the only mode which XR32 emulates.

        Since "real" AGW uses TCP port 8000, XR32's AGW emulation port
        also defaults to 8000. This can be changed using the AGWPORT
        directive in the GLOBAL section of XROUTER.CFG. You might need
        to do this if you are running AGWPE on the same machine. e.g.

	    AGWPORT=8001

        Whether or not XR32 requires the applications to send a
        password is controlled by entries in ACCESS.SYS. 

        The following entry allows computers on the LAN to access XR32
        without a password:

	    192.168.0.0/24  1


        AGW host support has so far been tested with:

	    - UIView
	    - AGWTerminal

        The emulator reports its version number as 2000.15

SEE ALSO
        ACCESS.SYS(8)  -- TCP Access Control File.
        AGW-IFACE(9)   -- AGW Packet Engine Interface.
        XROUTER.CFG(8) -- Main Configuration File.

AGWHOST(9)                END OF DOCUMENT

