CHAT(1)                 XR32 REFERENCE MANUAL                29/1/2013

COMMAND
        CHAT -- Connect to Chat Server.

SYNOPSIS
        CH[at]

AVAILABILITY
        Available to all users except guests.

DESCRIPTION
        The CHAT command connects you to the integral chat server,
        allowing you to conduct conferences with one or more other
        users.

        There are 65536 separate channels (or "rooms") of which the
        first 256 (*except room 101) are local to this system, and
        the remainder may be linked to other systems, allowing
        widely separated users to chat.

        (*Room 101 links to RoundTable/BPQ chat, if any RoundTable
        links have been defined - see below.)

        The chat server has its own set of commands, which are
        detailed separately in the CHATCMDS manual entry.

CONFIGURATION
        The chat server is configured using entries in XROUTER.CFG
        as follows:

        CHATCALL defines the chat callsign for AX25 and NetRom
        operations. A SSID of -8 is strongly recommended for all
        XRchat systems.

        CHATALIAS specifies the alias for AX25 and NetRom operations.
        It is recommended that this should begin with something
        geographically relevant, and end with "CHT" e.g. BHMCHT for
        Birmingham, LDSCHT for Leeds etc., so it can be easily
        identified in node tables.

        CHATQUAL specifies the NetRom "quality" assigned to the chat
        server and alias for L3/4 operations. If set to 0, the server
        will not be visible on the network. A setting of 255 makes
        the chat server as visible as the node, which just fills up
        the nodes tables. A value somewhere in between, to give medium
        visibility, is suggested.

        CHATLINKS specifies the callsigns of other servers to link to.
        If the callsign is prefixed with a '+', e.g. "+XE1FH-11", it
        specifies a link with a RoundTable/BPQ system.
   
        CHATLOG specifies the amount of detail that is logged. A value
        of 0 suppresses logging.

        CHATPORT adjusts or disables the TCP port which the chat
        server normally listens on. The default is 3600, but you may
        need to adjust this if you have another system or application
        using that port.    

CAVEATS
        Unilateral linking is not allowed. You must co-ordinate
        linking with your peers. Failing to do so will result in
        links being "parked" and sysops receiving error notifications..

NOTES
        The chat server may also be reached by connecting to its
        own callsign, either directly or through the Netrom network,
        or by telnetting to TCP port 3600 (or whatever it has been
        relocated to).

        Sysops have a "always-on" chat window for chatting amongst
        themselves, and there is a "chat monitor" window for keeping
        an eye on chat activity.

SEE ALSO
        CHATCMDS(1) -- Detailed description of chat server commands. 
 
CHAT(1)                    END OF DOCUMENT

