CONNECT(1)              XR32 REFERENCE MANUAL                19/1/2013

COMMAND
        CONNECT -- Make an outgoing AX25 connection

SYNOPSIS
        C [port] <call> [V(ia) digi[,digi...]] [S]

DESCRIPTION
        The CONNECT command, which may be abbreviated to "C", 
        instructs the router to make an outgoing (downlink) AX25 level 
        2 or 4 connection with another system.

        If the target is a known node (i.e. one which is in the nodes 
        table) a port number is not required, and will be ignored if 
        supplied.  The router will attempt to make a NetRom level 4 
        connection with the target, using information from the routing 
        tables.  However, a level 2 connection with an immediately 
        adjacent node may be forced by using the target's alias with 
        an arbitrary SSID, specifying a port number if required (e.g. 
        C 4 MLVN-1)

        If the target is not a known node, the router will attempt to 
        make a level 2 connection.  On multi-port systems, a port 
        number must be specified.

        The "V" (via) parameter allows up to 7 digipeaters to be 
        specified, e.g.:  "C 3 G6YAK V G8NTU G8EPR"

        The "S" (stay) parameter, e.g. "C <nodecall> S" causes the 
        uplink session to stay connected when the downlink session to 
        the target node is terminated.

LIMITATIONS
        If more than 7 digipeaters are specified, only the first 7 
        will be used.

AVAILABILITY
        This command is available to everyone, with the exception of
        "guest" users, i.e. those who have accessed XR32 via the public
        internet without supplying a password.

SEE ALSO
        TELNET, TTYLINK - Make TCP/IP connections.

CONNECT(1)                        END OF DOCUMENT
