EDIT(1)                XR32 REFERENCE MANUAL                23/1/2013

COMMAND
        EDIT -- Invoke Line Editor (PZTDOS).

SYNOPSIS
        E[DIT] [drive:][path\]<filename>

AVAILABILITY
        Sysop only. PZTDOS mode only.

DESCRIPTION
        The EDIT command invokes the text editor, allowing text
        files to be created, viewed or edited.

        This is a line-based text editor which is primarily of use
        to remote sysops.

        If the specified file doesn't exist, it will be created.

        All editing is done in memory, and the original file is only
        created or modified when the sysop issues a write command.

OPTIONS
        If no drive or path are specified, the XR32 "working
        directory" is assumed.

        If the drive is not specified, the drive containing XR32
        is assumed.

        If the path starts with a backslash (\), it is relative to
        the root of the drive, otherwise it is relative to the
        XR32 directory.

EXAMPLES
        EDIT C:\MyStuff\MyDocs\Diary.txt
        EDIT XROUTER.CFG
        EDIT help\chat.hlp

OPERATION
        In the following, n1, n2 and n3 refer to line numbers, which
        must be greater than zero, and within the range of line
        numbers used in the file.  The space between the command and
        the first number may be omitted, and the numbers may be
        separated by spaces, commas, colons, tabs etc.   Parameters
        in square brackets [] are optional.  When copying, moving or
        inserting lines, the "source" text is inserted at the
        "destination" line, i.e. "in front of" the original text.


        ? -- Displays a brief list of commands.

        A <text> -- Append line <text> to the file.

            The editor ignores exactly one space between the A and 
            the text to be inserted, so if you want to enter a line 
            with leading spaces, add one extra.

        C n1 n2 [n3] -- Copy line(s).

            If n3 is omitted, line n1 is copied into line n2, 
            otherwise the block n1 to n2 inclusive will be copied 
            into the position beginning at n3.
            Note: n3 must not be within the block being copied.

        D n1 [n2] -- Delete line(s).

            If both n1 and n2 are specified, the block of lines 
            between and including n1 and n2 will be deleted.  If n2 
            is omitted, or is the same as n1, only n1 will be 
            deleted.

        H n1 -- Hash (comment-out) a line using the '#' symbol.
              
            This is useful for disabling configuration entries 
            without deleting them.  They can be easily re-activated 
            at a later date using the U)nhash command.  If the line 
            already begins with '#' another one is not prepended.

        I n1 <text> -- Insert <text> into line n1.

        L n1 [n2] -- List (display) line(s).

            If n2 is specified, lines n1 to n2 inclusive will be 
            displayed, otherwise it will display 10 lines beginning 
            at n1.  If n1 is omitted, it will re-display the same 
            page, or if this is the first time the command has been 
            used, the first 10 lines of the text will be displayed.

        M n1 n2 [n3] -- Move line(s).

            If n3 is specified, the block of lines n1 to n2 
            inclusive will be moved to the position beginning at 
            n3, otherwise the single line n1 will be moved to the 
            n2 position.

        N -- Next page.

            Displays the next page (10 lines) of text.

        P -- Previous page.

            Displays the previous page (10 lines) of text.

        Q -- Quit.

            The text is abandoned and the original file is
            left intact, providing you hadn't used the W command.

        S -- Save the text.
            Syntax and function identical to W)rite.

        U n1 -- Unhash line n1.

            Removes a '#' symbol from start of line, if one is 
            present (opposite of H)ash).

        W [<file>] -- Write (save) file being edited to disk.

            If <file> is specified, the work is written there 
            instead of the original name, but will not overwrite an 
            existing file.

        W! <file> -- Write unconditionally.

            Writes the text being edited to <file>, overwriting any
            existing file of that name.

        WQ -- Write & Quit.

            Writes the modified text back to the original file and
            quits editor. (Same as ZZ)

        ZZ -- Same as WQ (see above)

LIMITATIONS
        The path and file name cannot currently contain spaces. This
        will be addressed in a future version.

CAVEATS
        The editor can access any part of any disk, so it must be used
        with caution.

EDIT(1)                END OF DOCUMENT
