HELP(9)                 XR32 REFERENCE MANUAL                29/1/2013

NAME
        HELP -- Help system.


DESCRIPTION
        Basic syntax help for most commands is built into XR32, and
        is available using the query (?) command, e.g. "? N" displays
        the syntax of the NODES command.

        More detailed help is implemented as separate files in the
        HELP directory, allowing you to customise it and add extra
        help topics as desired.  Each topic occupies a separate file,
        with the filename the same as the topic name.  The "H *"
        command displays a sorted directory of all the files ending
        in .HLP.

        The help files don't occupy much space, but you may choose to
        omit some or all of them if you are running a system with
        limited storage.

        In addition to the HELP system, sysops will find more
        detailed information in the online sysop manual using the MAN
        command.

FILES
        Help files are normal text files, with the extension changed
        to ".HLP". They may be created and edited using Notepad. They
        are located in the HELP directory, which is located under the
        directory containing XR32. Try to keep the filenames concise,
        as it saves excessive typing. The longer the filename, the
        more likely it is that a user will mis-spell it.

        Within the .HLP files, lines beginning with a semicolon ';'
        are not displayed to users, so you can use them for comments,
        such as file modification details.

HISTORY
        The help system originated long ago on DOS XRouter, and in
        those days there was only limited association between filename
        extensions and programs. I.e. in most cases, the extension
        itself had no real meaning, other than to serve as a reminder
        to humans what the file contained. Which is exactly why the
        XRouter and XR32 help files have the extension ".HLP", to
        distinguish them from ".MAN" (manual), ".SYS" (system), .CFG
        (configuration) and so on.  In those days, most programs
        could view and edit a text file, no matter what the extension.

        Unfortunately, Windows assumes that a file with the extension
        ".HLP" is a Windows help file, and that ".SYS" is a Windows
        system file. If you double click these files, Windows
        complains that the format is wrong.

        It would be more convenient for *Windows* if the files had
        the extension .TXT instead of .HLP, but how would we then know
        that they were help files? Therefore, XR32 continues to use
        the traditional XRouter file names.

SEE ALSO
        HELP(1) -- User Help Command.
        MAN(1) -- Online Sysop's Manual.

HELP(9)                   END OF DOCUMENT

