L3FRAG(9)              XR32 REFERENCE MANUAL                 7/2/2013

NAME
        L3FRAG -- NetRom Layer 3 Fragmentation.

DESCRIPTION
        Long ago there was a proposed scheme for fragmenting NetRom L3
        datagrams that were larger than the PACLEN of the underlying
        AX25 L2 link.  This involved breaking large datagrams into
        PACLEN (or smaller) fragments, and manipulating bits in the L2
        Protocol Identifier (PID), to indicate whether the L2 frame
        contained the first, intermediate or last fragment of a NetRom
        datagram.

        The PID values were as follows:

                Hex   Dec   Meaning
                ---------------------------------------------
                CF    207   First & last (i.e. only) fragment
                8F    128   First fragment    
                4F     64   Last fragment
                0F     15   Intermediate fragment. 

        The scheme was implemented in XRouter, but was not understood
        by BPQ, which was a popular node software of the time.
        Therefore the code was disabled.  It is not known which, if
        any, modern software implements this scheme.

        The fragmentation scheme described above is believed to have
        been superseeded by a general-purpose L2 fragmentation scheme
        as described in the MAN page entitled L2FRAG.

SEE ALSO
        L2FRAG(9) -- AX25 Layer 2 Fragmentation.
        PACLEN(1) -- AX25 Max Packet Length.

L3FRAG(9)             END OF DOCUMENT

