LOADNODES(1)            XR32 REFERENCE MANUAL                19/1/2013

COMMAND
        LOADNODES -- Load the nodes and routes tables from disk.

SYNOPSIS
        LOADNODES [filename]

AVAILABILITY
        Sysop-only.

DESCRIPTION
        The LOADNODES command loads the nodes and routes tables from 
        a "recovery" file.  This file is read by the router at start 
        up, and used to reconstruct the tables without having to wait 
        for nodes broadcasts to be received.  This command allows you 
        to load the tables at any time without taking the router off 
        line.

        The optional argument specifies the filename to load from, and 
        if not specified it defaults to XRNODES.

        It is recommended that, once in a while, you use the SAVENODES 
        command to save a "good" copy of the nodes tables to a file 
        other than XRNODES.  This will ensure that, should the tables 
        become depleted, for example due to a radio failure, they can 
        be reloaded when the problem is fixed, without rebooting.

EXAMPLES
        LOADNODES              - Load from default file XRNODES
        LOADNODES nodebak.txt  - Load from file "NODEBAK.TXT"

FILES
        The XRNODES file is similar in format to the BPQNODES file
        used with the DOS version of BPQ node, but is no longer
        compatible with it. 

        XRNODES is a plain text file, which may be viewed with
        Notepad by adding the extension .TXT.

CAVEATS
	The LOADNODES command should be used with caution, because it
        can result in obsolete nodes being re-introduced into the node
        table.

SEE ALSO
        SAVENODES(1) -- Save Nodes and Routes to Disk.
        XRNODES(8) -- Nodes / Routes Recovery File.

LOADNODES(1)                      END OF DOCUMENT
