LOG(1)                  XR32 REFERENCE MANUAL                19/1/2013

COMMAND
        LOG -- Enable / disable activity logging.

SYNOPSIS
        LOG [0-1]

AVAILABILITY
        The LOG command is available only to console and remote 
        sysops.

DESCRIPTION
        The LOG command is used to enable or disable the logging 
        of XR32 activity, such as connections, disconnections, 
        errors, user commands etc.  It temporarily overrides the
        default setting that was specified using "LOG=n" in
        XROUTER.CFG.

        The optional argument may currently be "1" or "0".  The
        former (or any non-zero value) enables logging, and the
        latter disables it.  If no argument is supplied, the
        current setting is reported.

        The console may override a remote sysop's settings.

        In the absence of the "LOG=n" directive in XROUTER.CFG,
        logging defaults OFF.

EXAMPLES
        LOG 1 -  Enables logging.
        LOG 0 -  Disables logging.

FILES
        Log files are created in the LOG sub-directory of the XR32
        working directory. One file is created per day, running from
        midnight to midnight local time. The files are plain text,
        and the file names take the form YYMMDD.LOG. e.g. 130119.LOG.

        Within the log each entry is timestamped in the form HHMMSS,
        and the timestamp is usually followed by a session number,
        the caller's address and various machine-readable action
        codes. For example:

               000200 23549 66.249.76.165 36761 CD
               000201 23549 66.249.76.165 36761 DD
               000201 23549 66.249.76.165 36761 SK
               000619 23551 VE3UIL-3@VE3UIL-6 CU 3

        The meaning of these codes are as follows:

           CU  - Uplink connection (followed by session type)
           DU  - Uplink disconnection
           CD  - Downlink connection
           DD  - Downlink disconnection
           HE  - HTTP Error
           HR  - HTTP Request
           SK  - Session kill (i.e. session ends)
           U   - User entered command

        The reason for the cryptic logging is to (a) save space and
        (b) allow the logs to be analysed by programs, for example to
        generate usage statistics.

CAVEATS
        Logging is useful if you are having stability issues, but it
        generates large volumes of data. This is unlikely to be an
        issue on a modern PC, but may become so if you were running
        XR32 on a 256Mb USB memory stick for example.

NOTE
        Future versions of XR32 may develop this command to allow
        finer control over what is logged.

LOG(1)                        END OF DOCUMENT
