MHEARD(1)               XR32 REFERENCE MANUAL                19/1/2013

COMMAND
        MHEARD -- List recently heard stations.

SYNOPSIS
        MH <portnum>

AVAILABILITY
        The MHEARD command is available to all users.

DESCRIPTION
        If the facility is enabled on the specified port, the MHEARD 
        command lists the most recently heard stations on that port, 
        along with the date / time of reception, the number of frames
        heard, and various other information (see below).

        This is useful for users to discover who else the router can 
        hear, to aid the search for suitable digipeaters, and to 
        diagnose problems.  Even on linking-only ports, where there is 
        only usually one partner, it provides a useful indication when 
        the frequency is being encroached, either by deliberate 
        squatting, unauthorised attempts to link, or lift conditions.

        The command may be abbreviated to "MH".

EXAMPLE
        MH 3 gives a heard list for port 3....

        G8PZT:KIDDER} Heard list for port 3:
        Callsign  Date  Time Frames  Via     Type  Position  Dist Dir
        G1LOA-10  09/06 13:42   309          DNIA  5221.51N... 13  24     
        G3TQG-2   09/06 13:19   599          D
        GB7PZT-15 09/06 13:18   708
        DY25      09/06 10:19   4    GB7DY-1  N

        Date     - Date when this callsign was last heard.
        Time     - Time when this callsign was last heard.
        Frames   - Total no. of frames heard from this callsign.
        Via      - Digipeater relaying this station, direct if blank.
        Type     - Flags as follows:
                   D - This station is a digipeater
                   N - This station is a node
                   I - This station handles IP traffic
                   A - This station handles ARP traffic
        Position - Position derived from APRS broadcast
        Dist     - Distance calculated from APRS broadcast
        Dir      - Bearing in degrees, calculated from APRS broadcast

FILES
        For each port, the MH facility can be enabled / disabled and 
        the maximum length of the list specified by appropriate 
        entries in the PORT sections of the XROUTER.CFG file,
        e.g. "MHEARD=15" - Sets MH list size 15
             "MHEARD=0"  - Disables MH list

SEE ALSO
        MHEARD(9)      -- "Monitor Heard".
        XROUTER.CFG(8) -- Main Configuration File.  

MHEARD(1)                        END OF DOCUMENT
