MINTXQUAL(1)           XR32 REFERENCE MANUAL                23/1/2013

COMMAND
        MINTXQUAL -- Display / Set minimum quality to transmit

SYNOPSIS
        MINT[xqual] <port> [0-255]

AVAILABILITY
        Sysop-only.

DESCRIPTION
        The MINTXQUAL command is used to display and set the minimum
        Net/rom node quality to transmit on the specified port.

        This would typically be used to limit the size of nodes
        broadcasts on ports which are severely bandwidth limited, or
        when the neighbour nodes have limited table capacity.

        The neighbours could of course limit their table size using
        their MINQUAL, but there is no point in transmitting information
        which will be discarded.

        If the setting is changed, the new setting remains in force 
        until it is changed again, or until the router is restarted, 
        in which case it returns to the default value specified in the 
        port entry in the CFG file.

OPTIONS
        If the second argument is omitted, the current value is 
        displayed.

EXAMPLES
        MINT 2      - Display current setting for port 2
        MINT 2 30   - Include only the nodes with quality >= 30

FILES
        The MINTXQUAL value for a port is usually specified in the
        PORT configuration block within XROUTER.CFG. If not specified,
        it defaults to 0, i.e. no minimum.

SEE ALSO
        MINQUAL(1) -- Display / Set port minimum quality
        QUALITY(1) -- Display / Set default quality.

MINTXQUAL(1)                           END OF DOCUMENT
