MMASK(1)                XR32 REFERENCE MANUAL                19/1/2013

COMMAND
        MMASK -- Select which protocol(s) to monitor (trace)

SYNOPSIS
        MM[ASK] [0 - FFFFh]

AVAILABILITY
        The MMASK command is available only to console and remote 
        sysops.

DESCRIPTION
        The MMASK command selects which protocol layers will be 
        monitored when traffic tracing is enabled on the current
        console.

        The optional argument is a HEX number between 0000h and FFFFh, 
        which is calculated by adding together the desired values from 
        this table:

           0001 - Incoming frames          0100 - ICMP
           0002 - Outgoing frames          0200 - TCP
           0004 - AX25 layer 2             0400 - KISS
           0008 - AX25 info frames         0800 - SLIP
           0010 - AX25 layer 3             1000 - PASSALL
           0020 - AX25 layer 4             2000 - Hex Dump
           0040 - IP frames
           0080 - ARP frames

        If no argument is supplied, the current setting is reported.

        The default setting for the first console is 03FF, which 
        displays all incoming and outgoing traffic from AX25 layer 2 
        upwards. The settings for each console are independent.

        This command duplicates the function of the <F4> key.

        The console can override a remote sysop's settings.

        The PASSALL option enables frames which fail the validity 
        checks at one layer (e.g. KISS checksum) to be passed to the 
        next layer above for tracing.

EXAMPLES
        MMASK 0201  -  display incoming TCP frames only, 
        MMASK 0242  -  display outgoing TCP and IP frames.

LIMITATIONS
        Only one sysop may receive the trace display at any one time?
          
        Remote sysops cannot trace activity on the port on which they 
        are uplinked

NOTE
        Remote sysops must ensure that their link with the router is 
        capable of carrying the large volume of traffic resulting from 
        tracing.  Attempting to trace too many ports / too much detail 
        on a slow link may result in poor performance.  You have been 
        warned!

SEE ALSO
        MONITOR(1) -- Enable / disable monitoring.
        MPORT(1)   -- Select port(s) to monitor.
        MTO(1)     -- Selective monitoring

MMASK(1)                        END OF DOCUMENT
