MONITOR(1)              XR32 REFERENCE MANUAL                19/1/2013

COMMAND
        MONITOR -- Enable / disable traffic monitoring (tracing)

SYNOPSIS
        MON[ITOR] [on | off]

AVAILABILITY
        The MONITOR command is available only to console and remote 
        sysops.

DESCRIPTION
        The MONITOR command is used to enable or disable the display 
        of incoming and outgoing traffic.

        The optional argument may be "ON" or "OFF".  The former 
        enables the display, and the latter disables it.  If no 
        argument is supplied, the current setting is reported.

        If used at the console, this command enables and disables 
        tracing to the current console window, and works in
        conjunction with the <F2> (monitor toggle) key.

        If used by a remote sysop, monitored frames are sent to him 
        instead of the console window.  In order to avoid overloading 
        the link, the MPORT setting is cleared every time monitoring 
        is enabled, so the sysop must then issue the MPORT command to 
        select which port(s) to monitor.

        The console may override a remote sysop's settings.

EXAMPLES
        MON ON  -  Enables tracing.
        MON OFF -  Disables tracing.

LIMITATIONS
        Only one sysop may receive the trace display at any one time.
  
        Remote sysops cannot trace activity on the port on which they 
        are uplinked.

NOTE
        Remote sysops must ensure that their link with the router is 
        capable of carrying the large volume of traffic resulting from 
        tracing.  Attempting to trace too many ports / too much detail 
        on a slow link may result in poor performance.  You have been 
        warned!

SEE ALSO
        MPORT(1) -- Select port(s) to monitor.
        MMASK(1) -- Select type of activity to monitor.
        MTO(1)   -- Selective monitoring


MONITOR(1)                        END OF DOCUMENT
