NODES(1)                XR32 REFERENCE MANUAL                19/1/2013

COMMAND
        NODES -- Display / Modify the Nodes table.

SYNOPSIS
        N[odes] [call | *|+|C|F|H|I|O|N|P|Q|R|S|T]
        N[odes] <A | V>    <call>
        N[odes] < < | > >  <qual>

AVAILABILITY
        The NODES command is available to all users.

DESCRIPTION
        The NODES command is used to list the contents of the Netrom
        nodes table in a variety of diferent ways, according to the
        format of the command.

        Nodes may be listed in callsign or alias order, and wildcard
        searches may be performed on either field.

        The display may be restricted to those nodes whose NetRom
        quality is greater or lesser than a specified figure, or to
        those who are netrom-only, time-only, obsolete and so on.
        Or the sysop may choose to display only those nodes for whom
        an IP address or round trip time is known, or those who have
        frames waiting, or those who have non-zero counters.

        The command may also be used to find which nodes are routed
        via which neighbour node. 

OPTIONS
        N           List all nodes, excluding "hidden" ones
        N *         List all nodes, incluing hidden ones
        N +         List nodes with both time and qual metrics valid
        N > <qual>  List nodes with NetRom Quality greater than <qual>
        N < <qual>  List nodes with NetRom Quality less than <qual>
        N <call>    List information and routes to target <call>
        N A <call>  List nodes advertised by neighbour <call>
        N C         List nodes by callsign instead of in alias order
        N F         List nodes with a non-zero "Frames" count
        N H         List nodes with a non-zero Hop count
        N I         List nodes which have an IP address
        N O         List Obsolete nodes
        N N         List nodes whose only usable metric is Netrom
        N P         List nodes whose position is known
        N Q         List nodes which currently have frames queued
        N R         List nodes for whom a RTT count is known
        N S         List nodes with a position, RTT or frame count 
        N T         List nodes whose only usable metric is Time
        N V <call>  List nodes for whom preferred route is via <call>

DETAIL
        When used without arguments, this command lists all the NetRom 
        nodes (but not KA nodes) known to the router, except those 
        "hidden" nodes whose alias begins with the hash (#) character.

        If the argument is an asterisk (*), all nodes, including 
        "hidden" nodes will be displayed.

        If the argument is a known node call or alias (e.g. N MLVN),
        the preferred route to the specified node, and up to two
        alternative routes will be displayed. Other information, such
        as the position (in APRS format) and IP address will be
        displayed if known. The response looks like this:

        G8PZT:KIDDER} Nodes:
        Info for: MLVN:G4FPV
        Pos=5223.21N 00202.13W
 
        Routes to: MLVN:G4FPV  RTT=28  FR=3538  Q=0
          Qty Obs Pt Via      Stt Hop Obs2
        > 150  5   5 G4FPV   1.22  1   4 <
          110  5   9 GB7GH
            0  4   2 G1DKI-7

        "RTT" stands for Round Trip Time and is a running average of
        the time (in seconds) taken to get a response from that node.

        "FR" indicates the number of level 3 frames sent to that node.

        "Q" is the number of Level 3 frames currently queued for that 
        destination.

        A chevron ">" in the left-most column indicates the currently 
        active route.

        "Qty" is the overall NetRom path quality to the target node.

        "Obs" is the NetRom "obsolescence count", which shows how
        fresh the information It is a measure of how recently the
        route was heard about or used.  It is usually reset to OBSINIT
        (usually 5) upon hearing a nodes broadcast from the neighbour
        node, and decrements by one every time XR32 makes a node
        broadcast (typically once per hour). If it drops below OBSMIN
        (usually 3) the route is considered to be obsolete. 

        "Pt" is the port number for the neighbour. 

        "Via" is the neigbour node via which the target is reached.

        "Stt" is "Smoothed Trip Time", which is the average one-way
        transit time to the neighbour in seconds. This field may not
        be present in all cases.

        "Hop" is the total no. of hops to the target via this
        neighbour. It is one more than the number of intermediate
        nodes. This field may not always be available.

        "Obs2" is the obsolescence count for the time domain
        information (Stt & hops) which is learned via INP3. This info
        is maintained independently of NetRom "quality" metrics. A node
        may have obsolete quality metrics, but still have valid
        temporal metrics.
  
        The backward chevron "<" indicates the preferred route, which
        may differ from the route actually used at that instant.

        If the requested nodecall or alias is not in the table, an 
        error message results.

        If the specified callsign or alias contains wildcards, a list
        of matching nodes will be displayed.

        "N A <call>" displays the list of nodes "advertised" by <call>,
        i.e. those nodes the neighbour claims to be able to reach.
        This is not necessarily the same as the nodes *routed* via
        that neighbour, because some of the nodes may be advertised
        with better metrics by other neighbours.

        "N C" displays nodes in callsign order instead of the standard
        alias order. If you wish the nodes to be displayed in callsign
        order by default, use SORTBYCALL=1 in XROUTER.CFG.

        "N F" displays nodes with a non-zero "Frames" count. The frame
        count is only available for nodes with to whom XR32 has routed
        some traffic.

        "N H" lists the nodes which have a non-zero "hop" count. This
        hop count is derived from actual measurements, rather than the
        "hypothetical" count derived from INP3, and is available for
        only a few nodes at most.

        "N I" displays the nodes which have an IP address. In practice
        this list is likely to contain only XRouter, XR32 and X(Net)
        nodes.

        "N O" lists the "obsolete" nodes, i.e. those for whom all
        metrics are too "stale" to be used. These nodes are probably
        off-line or otherwise unreachable.

        "N N" displays the nodes whose only usable metric is NetRom
        quality, i.e. those for whom a trip time is unknown or has
        gone obsolete.

        "N P" lists the nodes whose position is known. In practice,
        the only nodes which show in this list will be XRouter or
        XR32.

        "N Q" displays the nodes which currently have frames waiting
        to be delivered to them. The queues may be the result of
        link bottlenecks, and the figure is likely to change rapidly.

        "N R" displays the nodes for whom a Round Trip Time is known.
        This is an average value for all connections between XR32 and
        the target node, and may differ from the current
        "hypothetical" trip time, derived from INP3 information. The
        RTT will only be available for nodes which XR32 has connected
        to. 

        "N S" displays the nodes for whom some "stats" are known, i.e.
        position, Round Trip Time or frame count.

        "N T" lists the nodes whose only usable metric is Time, i.e.
        those which have a valid trip time, but for whom the NetRom
        quality is unknown or is considered obsolete.

        "N V <call> displays the nodes who would be routed via
        neighbour <call> at the current instant. This choice may
        change with time, as the metrics fluctuate.

EXAMPLES
        N           - List nodes except those beginning with #
        N *         - List nodes including those beginning with #
        N MLVN      - Display routes to MLVN node
        N V VK2DOT  - Display nodes routed via VK2DOT
        N > 100     - Display nodes with qualities greater than 100

NODES(1)                         END OF DOCUMENT
