NPING(1)                XR32 REFERENCE MANUAL                23/1/2013

COMMAND
        NPING -- Send a Netrom echo request

SYNOPSIS
        NP[ing] <nodecall | nodealias> [bytes [secs]]

AVAILABILITY
        All users.

DESCRIPTION
        The NPING command sends an NCMP (Network Control Message 
        Protocol) echo request to the specified target system.  If the 
        target understands NCMP, a reply will be returned, allowing 
        the round-trip-time and number of hops to be determined.  It 
        is intended mainly as a network diagnostic.

OPTIONS
        The command allows the user to specify an additional data 
        payload, and an interval between pings.  This can be used to 
        assess the consistency of link performance.

EXAMPLES
        nping gb7gc
        G8PZT:KIDDER} NPING: hit <RETURN> to quit...

        Pinging gb7gc with 0 bytes of data:

        GB7GC: echo reply - rtt 17985 msec, 3 hop(s)


        nping  gb7gc 10 20
        G8PZT:KIDDER} NPING: hit <RETURN> to quit...

        Pinging gb7gc with 10 bytes of data:

        Target             Interval   Sent   Rcvd   %  Ave Rtt
        GB7GC                 20020      1      1  100 5170
        GB7GC                 20020      2      2  100 6930
        GB7GC                 20020      3      3  100 6765

LIMITATIONS
        NCMP is under development and is currently implemented only in 
        XRouter / XR32, so you can only NPING another Xrouter at
        present.

SEE ALSO
        NRR(1) - Netrom Record Route

NPING(1)                           END OF DOCUMENT
