PERSIST(1)              XR32 REFERENCE MANUAL                19/1/2013

COMMAND
        PERSIST -- Display / Set the persist value for a port.

SYNOPSIS
        PER[SIST] <port> [0-255]

AVAILABILITY
        The SLOTTIME command is available only to sysops.

DESCRIPTION
        The PERSIST command is used to display and set the PERSIST 
        value for a port.  This is the "probability to transmit", used 
        as part of the CSMA channel access procedure.  A low value is 
        used when there are several stations sharing the channel, 
        giving each a fair chance to transmit.  A high value is used 
        when the channel isn't shared.  The optimum setting is 256/n 
        where n is the number of station sharing the channel.

OPTIONS
        If the command is used with a single numeric argument, the 
        current setting for that port number is displayed.

        If two arguments are supplied, the PERSIST value for the port 
        specified by the first is set to the value of the second.  The 
        new setting remains in force until changed again or until the 
        router is restarted, in which case the value specified in the 
        XROUTER.CFG file will apply.

EXAMPLES
        PERSIST 5        - Display current PERSIST value for port 5
        PERSIST 5 64     - Set port 5 PERSIST to 64

NOTE
        On KISS ports, you should allow up to 5 minutes for a new 
        setting to become active.

SEE ALSO
        SLOTTIME -- CSMA interval timer

PERSIST(1)                      END OF DOCUMENT
