TCP-PORTS(9)            XR32 REFERENCE MANUAL                 4/2/2013

NAME
        TCP-PORTS -- TCP Service Ports.

DESCRIPTION
        TCP "service ports" (not to be confused with radio ports), are
        standard or "well known" numbers between 0 and 65535 which are
        used in combination with an IP address to access a particular
        process (usually a server) on a system.

        The default TCP service port numbers for XR32 servers, and the
        corresponding configuration keywords used in XROUTER.CFG are
        as follows:

            Keyword     TCP Port    Service Name
            --------------------------------------------
            ECHOPORT           7    Echo server
            DISCARDPORT        9    Discard server
            FTPPORT           21    FTP server
            TELNETPORT        23    Telnet server
            FINGERPORT        79    Finger server
            HTTPPORT          80    HTTP server
            TTYLINKPORT       87    Raw TTY link
            RLOGINPORT       513    Remote login
            SOCKSPORT       1080    Socks proxy server
            APRSPORT        1448    APRS server
            TELPROXYPORT    2323    Telnet proxy server
            CHATPORT        3600    Chat server
            AGWPORT         8000    AGW TCP host API
            RHPPORT         9000    XRouter host API

        By default, all services are enabled, using the above ports.

        If you are using the NdisXpkt driver to share the Ethernet
        adaptor, these services by default use XR32's IP address,
        as specified in the Ethernet PORT configuration block in
        XROUTER.CFG.

        If you are not using NdisXpkt, these services by default use
        Windows' IP address.

        In either case, the services will also be available via *all* 
        of XR32's IP addresses, allowing them to be used by TCP/IP over
        AX25, TCP/IP over SLIP/PPP etc..


        Overriding Default TCP Service Ports
        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        You may wish to disable services, or change their TCP port.
        For instance, you may need to move the Telnet port if you have
        another process using TCP port 23 on the same machine. Or you
        may wish to disable the SOCKS server because you don't need
        it.  You may also choose to make some services available on
        XR32's TCP/IP stack and not on Windows' stack, or vice versa.

        Use one or more of the above configuration keywords in the
        GLOBAL section of XROUTER.CFG to override the default
        configuration.

        If you use the keyword without an argument, or with an
        argument of zero, that service is disabled, for example, the
        following formats disable the Telnet server on both XR32 and
        Windows TCP/IP addresses:

                TELNETPORT=
                TELNETPORT=0

        If you use the keyword with a single argument, that value is
        used for both IP stacks.  For example, the following enables
        the Telnet server, using port 88 on both TCP/IP stacks:

                TELNETPORT=88

        If you supply TWO arguments, the first applies to XR32's stack
        and the second to the Windows stack.  You may supply different
        numbers for each stack, or disable one and not the other.  The
        numbers must be separated by whitespace, NOT commas.

        For example, the following specifies that the TELNET server
        shall use TCP port 88 on XR32's TCP/IP stack, and port 89 on
        Windows' stack:

                TELNETPORT=88 89

        This one disables the Telnet server on XR32's TCP/IP stack,
        whilst enabling it for port 88 on Windows' stack:

                TELNETPORT=0 88

        Finally, this example disables the Telnet server on XR32's
        TCP/IP stack, whilst enabling it on port 88 of Windows:

                TELNETPORT=88 0


SEE ALSO
        IP-STACKS(9)   -- TCP/IP Stacks in XR32.
        NDISXPKT(9)    -- NdisXpkt Driver.
        SERVERS(9)     -- Servers in XR32.
        XROUTER.CFG(8) -- Main Configuration File.

TCP-PORTS(9)          END OF DOCUMENT
