TELNET(1)               XR32 REFERENCE MANUAL                19/1/2013

COMMAND
        TELNET -- Establish a TCP "connection".

SYNOPSIS
        TELNET <hostname | ipaddress> [port]

AVAILABILITY
        All users except "guests".

DESCRIPTION
        The TELNET command allows users to "connect" to other TCP/IP 
        systems, using a "shell" account, i.e. the user does not need 
        to be running TCP/IP as the router does all the TCP/IP <> AX25 
        translation.

OPTIONS
        The first argument <hostname | ipaddress> is either the
        hostname or the IP number of the target system. If the
        hostname doesn't contain at least one period (.), the domain
        suffix specified in XROUTER.CFG (default .ampr.org.) is
        appended.

        The optional <port> parameter specifies the desired service on
        the target host.  If not supplied, the default is 23, i.e. the
        "Telnet" port. Common port numbers are 21 (FTP), 23 (Telnet),
        25 (SMTP), and 87 (TTYLINK).

EXAMPLES
        TELNET 44.131.90.6 21   Connect to FTP server at 44.131.90.6
        TELNET gb7lgs.ampr.org  Telnet login to gb7lgs
        TELNET gb7pzt 25        Connect to SMTP server at gb7pzt

LIMITATIONS
        This command will only work if the router has an IP address 
        and IP routing has been defined.  It should be obvious that 
        the router also needs to be connected to an IP-capable 
        network!

NOTES
        Specifying target hosts by their IP addresses will often 
        result in faster connection if the hostname is not in 
        domain.sys, as it will not have to wait for DNS resolution.

SEE ALSO
        PING -- For testing if the target host is reachable.
        
TELNET(1)                        END OF DOCUMENT
