UDPREMOTE(1)            XR32 REFERENCE MANUAL                14/2/2013

COMMAND
        UDPREMOTE -- Display / Set a port's UDPREMOTE parameter.

SYNOPSIS
        UDPREMOTE <port> [0-65535]

AVAILABILITY
        Sysop-only.

DESCRIPTION
        The UDPREMOTE command allows the UDP service number (often
        confusingly called a "port") at the remote end of an AXUDP
        link to be displayed or altered. 

        This is the UDP destination number in the AXUDP frames from
        you to your link partner. It must match the link partner's
        UDPLOCAL, otherwise the link will not function.

        If not specified, UDPREMOTE defaults to 93.  It is only used
        on AXUDP ports.

        It is usually specified within a PORT configuration block in
        the XROUTER.CFG file, but this command allows it to be changed
        on the fly, without needing to take XR32 off line.

        Please see the manual section on AXUDP for more information.

OPTIONS
        If a single numeric argument is supplied, the current value 
        for that port number is displayed.

        If two numeric arguments are supplied, the first specifies the 
        port number, and the second specifies the new value for the 
        parameter.  The new setting remains in force until changed, or 
        until the router is restarted, in which case the value 
        specified in the CFG file is reapplied.

EXAMPLE
        UDPREMOTE 3       - Display UDPREMOTE setting for port 3
        UDPREMOTE 3 9393  - Set port 3 UDPREMOTE to 9393

SEE ALSO
        AXUDP(9)        -- AX25-over-UDP Tunnelling.
        UDPLOCAL(1)     -- Display / Set a port's UDPLOCAL parameter.
        XROUTER.CFG(8)  -- Main Configuration File

UDPREMOTE(1)                   END OF DOCUMENT
